package com.ntsky.bbs.web.webwork.action.admin;

import java.util.Map;

import com.opensymphony.webwork.interceptor.SessionAware;

import com.ntsky.bbs.Symbols;

/**
 * 管理用户退出登录
 *  
 * @author ntsky
 * @link www.ntsky.com
 * 
 * @version $Revision: 1.2 $ $Date: 2006/07/28 17:04:35 $
 */
public class LogoutAction extends AdminActionSupport implements SessionAware{
	
	/**
	 * 管理用户退出登陆
	 * 
	 */
	public String execute() throws Exception {
		if(logger.isInfoEnabled()){
			logger.info("管理用户退出登录");
		}
		session.remove(Symbols.SESSION_ADMIN);
		if(logger.isInfoEnabled()){
			logger.info("成功退出");
		}
		return SUCCESS;
	}
	
	private Map session;	
	public void setSession(Map session) {
		this.session = session;
	}
	
}
